Delete a subscription using the account ID
Deletes a subscription associated with the specified account ID. Use this to remove or disassociate subscriptions that meet the required conditions.
HTTP method and endpoint
DELETE /license/subscriptions/account/{accountId}
Usage notes
Deletes or disassociates a subscription that contains the specified subscription ID from an account.
The specified subscription must exist and not be associated with a Cloud Volumes ONTAP instance.
This endpoint deletes the subscription if no other account is associated with the subscription.
If more than one account is associated with the subscription, this endpoint disassociates the account provided in the accountId field and the subscription.
Token usage: Either a NetApp Console user token or service token.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
|
X-Service-Request-Id |
string |
header |
False |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
subscriptionId |
string |
True |
Example request
{
"subscriptionId": "string"
}
Response
Status: 200, Success response
Response
Status: 4xx, Error response
| Name | Type | Required | Description |
|---|---|---|---|
errorCode |
string |
False |
Error code |
error |
string |
False |
Error code/category |
message |
string |
False |
Error description message |
Example response
{
"errorCode": "string",
"error": "string",
"message": "string"
}